# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88.0"
name = "qbice_serialize"
version = "0.1.2"
authors = ["Simmypeet"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Query-Based Incremental Computation Engine"
readme = false
license = "MIT"
resolver = "2"

[lib]
name = "qbice_serialize"
path = "src/lib.rs"

[dependencies.dashmap]
version = "6.1.0"
features = [
    "rayon",
    "raw-api",
]

[dependencies.qbice_serialize_derive]
version = "0.1.0"

[lints.clippy]
branches_sharing_code = "deny"
cognitive_complexity = "deny"
collection_is_never_read = "deny"
doc_markdown = "allow"
double-parens = "allow"
equatable_if_let = "deny"
iter_on_empty_collections = "deny"
iter_on_single_items = "deny"
missing_const_for_fn = "deny"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
needless_collect = "deny"
option_if_let_else = "deny"
redundant_clone = "deny"
set_contains_or_insert = "deny"
trait_duplication_in_bounds = "deny"
type_repetition_in_bounds = "deny"
use_self = "deny"
useless_let_if_seq = "deny"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1

[lints.rust]
missing_copy_implementations = "deny"
missing_debug_implementations = "deny"
missing_docs = "deny"

[lints.rustdoc]
broken_intra_doc_links = "deny"
